; Program to store program segment prefix in intra-applications   
;   communications area, then transfer control to a version 3.3
;   Microsoft Fortran program
; Copyright (C)  John W. Ross  1986

ICA	equ	4f2h	; intra-applications communication area

extrn	__astart:far	; Fortran program entry point
cseg	segment para public 'code'
public	header 
header	proc far
	assume cs:cseg,es:nothing
	push ds		; save the data segment
	xor dx,dx	; zero the data register
	mov ds,dx
	mov bx,ICA	; bx now points to the ICA
	mov dx,es	; store the extra segment (psp 
	mov [bx],dx	;   location) in the ICA
	pop ds		; restore ds
	jmp __astart	; jump to the Fortran program's entry point
header	endp
cseg	ends
	end	header	; make this program the entry point
